notbugAs an Amazon Associate I earn from qualifying purchases.
Want a good read? Try FreeBSD Mastery: Jails (IT Mastery Book 15)
Port details
p5-Perl-Critic-More Supplemental policies for Perl::Critic
1.003 textproc on this many watch lists=0 search for ports that depend on this port Find issues related to this port Report an issue related to this port
1.003Version of this port present on the latest quarterly branch.
Maintainer: perl@FreeBSD.org search for ports maintained by this maintainer
Port Added: 2016-03-15 01:27:31
Last Update: 2018-10-06 14:06:45
SVN Revision: 481365
Also Listed In: devel perl5
License: ART10 GPLv1+
This is a collection of Perl::Critic policies that are not included in the
Perl::Critic core for a variety of reasons:

  Experimental

    Some policies need some time to work out their kinks, test usability, or
    gauge community interest. A subset of these will end up in the core
    Perl::Critic someday.

  Requires special dependencies

    For example, some policies require development versions of PPI (or some
    other CPAN module). These will likely end up in the Perl::Critic core when
    their dependencies are fulfilled.

  Peripheral to Perl

    For example, the Editor::RequireEmacsFileVariables policy is metacode.
    Also, the Miscellanea::RequireRcsKeywords policy pertains to the
    development process, not the code itself. These are not part of
    Perl::Critic's mission.

  Special purpose

    For example, policies like CodeLayout::RequireASCII designed to scratch
    itches not felt by most of the community. These will always remain in a
    Perl::Critic supplement instead of in the core.


WWW: https://metacpan.org/release/Perl-Critic-More
SVNWeb : Homepage
    Pseudo-pkg-plist information, but much better, from make generate-plist
    Expand this list (20 items)
  1. /usr/local/share/licenses/p5-Perl-Critic-More-1.003/catalog.mk
  2. /usr/local/share/licenses/p5-Perl-Critic-More-1.003/LICENSE
  3. /usr/local/share/licenses/p5-Perl-Critic-More-1.003/ART10
  4. /usr/local/share/licenses/p5-Perl-Critic-More-1.003/GPLv1+
  5. lib/perl5/site_perl/Perl/Critic/More.pm
  6. lib/perl5/site_perl/Perl/Critic/Policy/CodeLayout/RequireASCII.pm
  7. lib/perl5/site_perl/Perl/Critic/Policy/Editor/RequireEmacsFileVariables.pm
  8. lib/perl5/site_perl/Perl/Critic/Policy/ErrorHandling/RequireUseOfExceptions.pm
  9. lib/perl5/site_perl/Perl/Critic/Policy/Modules/PerlMinimumVersion.pm
  10. lib/perl5/site_perl/Perl/Critic/Policy/Modules/RequirePerlVersion.pm
  11. lib/perl5/site_perl/Perl/Critic/Policy/ValuesAndExpressions/RequireConstantOnLeftSideOfEquality.pm
  12. lib/perl5/site_perl/Perl/Critic/Policy/ValuesAndExpressions/RestrictLongStrings.pm
  13. lib/perl5/site_perl/man/man3/Perl::Critic::More.3.gz
  14. lib/perl5/site_perl/man/man3/Perl::Critic::Policy::CodeLayout::RequireASCII.3.gz
  15. lib/perl5/site_perl/man/man3/Perl::Critic::Policy::Editor::RequireEmacsFileVariables.3.gz
  16. lib/perl5/site_perl/man/man3/Perl::Critic::Policy::ErrorHandling::RequireUseOfExceptions.3.gz
  17. lib/perl5/site_perl/man/man3/Perl::Critic::Policy::Modules::PerlMinimumVersion.3.gz
  18. lib/perl5/site_perl/man/man3/Perl::Critic::Policy::Modules::RequirePerlVersion.3.gz
  19. lib/perl5/site_perl/man/man3/Perl::Critic::Policy::ValuesAndExpressions::RequireConstantOnLeftSideOfEquality.3.gz
  20. lib/perl5/site_perl/man/man3/Perl::Critic::Policy::ValuesAndExpressions::RestrictLongStrings.3.gz
  21. Collapse this list.
Dependency lines:
  • p5-Perl-Critic-More>0:textproc/p5-Perl-Critic-More

To install the port: cd /usr/ports/textproc/p5-Perl-Critic-More/ && make install clean
To add the package: pkg install p5-Perl-Critic-More

PKGNAME: p5-Perl-Critic-More

There is no flavor information for this port.

distinfo:

SHA256 (Perl-Critic-More-1.003.tar.gz) = 69e2acff61b7bead745721991e2b83c88624ae8239d4371a785a3ce2d967187b
SIZE (Perl-Critic-More-1.003.tar.gz) = 35076


NOTE: FreshPorts displays only information on required and default dependencies. Optional dependencies are not covered.

Build dependencies:
  1. p5-Perl-Critic>=0 : textproc/p5-Perl-Critic
  2. perl5>=5.26<5.27 : lang/perl5.26
  3. p5-Module-Build>=0.4206 : devel/p5-Module-Build
  4. perl5>=5.26<5.27 : lang/perl5.26
Runtime dependencies:
  1. p5-Perl-Critic>=0 : textproc/p5-Perl-Critic
  2. perl5>=5.26<5.27 : lang/perl5.26
There are no ports dependent upon this port

Configuration Options
     No options to configure

USES:
perl5

Master Sites:
  1. ftp://ftp.auckland.ac.nz/pub/perl/CPAN/modules/by-module/Perl/
  2. ftp://ftp.cpan.org/pub/CPAN/modules/by-module/
  3. ftp://ftp.cpan.org/pub/CPAN/modules/by-module/Perl/
  4. ftp://ftp.funet.fi/pub/languages/perl/CPAN/modules/by-module/Perl/
  5. ftp://ftp.kddlabs.co.jp/lang/perl/CPAN/modules/by-module/Perl/
  6. ftp://ftp.mirrorservice.org/sites/cpan.perl.org/CPAN/modules/by-module/Perl/
  7. http://backpan.perl.org/modules/by-module/Perl/
  8. http://ftp.jaist.ac.jp/pub/CPAN/modules/by-module/Perl/
  9. http://ftp.twaren.net/Unix/Lang/CPAN/modules/by-module/Perl/
  10. https://cpan.metacpan.org/modules/by-module/
  11. https://cpan.metacpan.org/modules/by-module/Perl/
  12. https://www.cpan.org/modules/by-module/Perl/

Number of commits found: 4

Commit History - (may be incomplete: see SVNWeb link above for full details)
DateByDescription
06 Oct 2018 13:06:45
Original commit files touched by this commit  1.003
Revision:481365
des search for other commits by this committer
Fix every instance of RUN_DEPENDS:=${BUILD_DEPENDS} in p5 ports, except
for where it resulted in a change in output from build-depends-list or
run-depends-list.

Approved by:	portmgr (adamw)
15 Sep 2017 08:58:50
Original commit files touched by this commit  1.003
Revision:449893
mat search for other commits by this committer
Fix license information for portgs that use "the same license as Perl".

Sponsored by:	Absolight
01 Apr 2016 14:25:18
Original commit files touched by this commit  1.003
Revision:412349
mat search for other commits by this committer
Remove ${PORTSDIR}/ from dependencies, categories r, s, t, and u.

With hat:	portmgr
Sponsored by:	Absolight
15 Mar 2016 01:27:21
Original commit files touched by this commit  1.003
Revision:411130
mat search for other commits by this committer
Add some p5-Perl-Critic-* Perl modules.

While there, add NO_ARCH=yes to the existing Perl::Critic ports.

Sponsored by:	Absolight

Number of commits found: 4

Login
User Login
Create account

Servers and bandwidth provided by
New York Internet, iXsystems, and RootBSD

This site
What is FreshPorts?
About the authors
Issues
FAQ
How big is it?
The latest upgrade!
Privacy
Forums
Blog
Contact

Search
Enter Keywords:
 
more...

Latest Vulnerabilities
puttyJul 20
putty-gtk2Jul 20
putty-nogtkJul 20
jenkinsJul 17
jenkins-ltsJul 17
libxsltJul 16
asterisk13Jul 12
asterisk13Jul 12
asterisk15Jul 12
asterisk15Jul 12
asterisk16Jul 12
asterisk16Jul 12
python37Jul 12
firefoxJul 09
firefox*Jul 09

12 vulnerabilities affecting 149 ports have been reported in the past 14 days

* - modified, not new

All vulnerabilities

Last updated:
2019-07-20 17:14:51


Ports
Home
Categories
Deleted ports
Sanity Test Failures
Newsfeeds

Statistics
Graphs
NEW Graphs (Javascript)
Traffic

Calculated hourly:
Port count 36995
Broken 93
Deprecated 99
Ignore 326
Forbidden 3
Restricted 162
No CDROM 74
Vulnerable 27
Expired 14
Set to expire 69
Interactive 0
new 24 hours 2
new 48 hours4
new 7 days29
new fortnight53
new month125

Servers and bandwidth provided by
New York Internet, iXsystems, and RootBSD
Valid HTML, CSS, and RSS.
Copyright © 2000-2019 Dan Langille. All rights reserved.